# Very important for proper management of import/export symbols in Windows DLL
# This is absolutely required to make sure that the test applications
# are _importing_ symbols defined in the above source code directory (where 
# a definition is added in the CMakeLists.txt so that the symbols are _exported_ during build)
remove_definitions(-DCOMPILE_TRANSFORMATIONEXPLORER_API)

camitk_application(
    APPLICATION_NAME transformationexplorer
    INTERNAL_TEST_APPLICATION
    QTEST
    NO_GUI
    NEEDS_VIEWER_EXTENSION transformationexplorer
    SOURCES TestTransformationExplorer.cpp TestTransformationExplorer.h
    DESCRIPTION "Provides a command line unit and test tool for TransformationExplorer"
)